package com.xinelu.manage.domain.scriptinfonode;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 话术信息节点对象 script_info_node
 *
 * @author xinelu
 * @date 2024-06-12
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "话术信息节点对象", description = "script_info_node")
public class ScriptInfoNode extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 话术信息表id
     */
    @ApiModelProperty(value = "话术信息表id")
    @Excel(name = "话术信息表id")
    private Long scriptInfoId;

    /**
     * 话术节点名称
     */
    @ApiModelProperty(value = "话术节点名称")
    @Excel(name = "话术节点名称")
    private String scriptNodeName;

    /**
     * 话术内容
     */
    @ApiModelProperty(value = "话术内容")
    @Excel(name = "话术内容")
    private String scriptContent;

    /**
     * 话术节点类型（起点：START_NODE,终点：END_NODE）
     */
    @ApiModelProperty(value = "话术节点类型")
    @Excel(name = "话术节点类型", readConverterExp = "起=点：START_NODE,终点：END_NODE")
    private String scriptNodeType;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("scriptInfoId", getScriptInfoId())
                .append("scriptNodeName", getScriptNodeName())
                .append("scriptContent", getScriptContent())
                .append("scriptNodeType", getScriptNodeType())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
